Package net.shibboleth.idp.saml.profile.impl

# Class ExtractSubjectFromRequest.SubjectNameLookupFunction

java.lang.Object
net.shibboleth.idp.saml.profile.impl.ExtractSubjectFromRequest.SubjectNameLookupFunction

All Implemented Interfaces:
  `Function<ProfileRequestContext,SAMLObject>`

Enclosing class:
  ExtractSubjectFromRequest

public static class ExtractSubjectFromRequest.SubjectNameLookupFunction extends Object implements Function<ProfileRequestContext,SAMLObject>
Lookup function that returns the `NameIdentifier` or `NameID` from the request in the inbound message context.

## Constructor Summary

Constructors
Constructor
Description
`SubjectNameLookupFunction()`

## Method Summary

Modifier and Type
Method
Description
`SAMLObject`
`apply(ProfileRequestContext profileRequestContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### SubjectNameLookupFunction

public SubjectNameLookupFunction()

## Method Details

### apply

@Nullable public SAMLObject apply(@Nullable ProfileRequestContext profileRequestContext)

Specified by:
  `apply` in interface `Function<ProfileRequestContext,SAMLObject>`